Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class IESParameters

    java.lang.Object
      org.bouncycastle.crypto.params.IESParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  IESWithCipherParameters

    public class IESParameters

extends java.lang.Object
implements CipherParameters

parameters for using an integrated cipher in stream mode.

Constructor Summary
`IESParameters(byte[] derivation, byte[] encoding, int macKeySize)`

Method Summary
`byte[]` | `getDerivationV()`
`byte[]` | `getEncodingV()`
`int` | `getMacKeySize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IESParameters

    public IESParameters(byte[] derivation,
                         byte[] encoding,
                         int macKeySize)

Parameters:
  `derivation` - the derivation parameter for the KDF function.
  `encoding` - the encoding parameter for the KDF function.
  `macKeySize` - the size of the MAC key (in bits).

Method Detail

### getDerivationV

    public byte[] getDerivationV()

### getEncodingV

    public byte[] getEncodingV()

### getMacKeySize

    public int getMacKeySize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD